After migration from 1.2 -> 1.3.2 saved SOME saved queries stopped working

2012-04-09 18:47 - Oleg Kuryan

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.2

Description

I've migrated from 1.2 to 1.3.2 version.

Followed all steps from here http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

After upgrade some of my saved quesries (NOT ALL) stopped working proerly showing 500 error. Error is:

NoMethodError (undefined method `name' for :spent_hours:Symbol):

app/models/query.rb:415:in `has_column?'

app/controllers/issues_controller.rb:85:in `index'

passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) helper-scripts/passenger-spawn-server:99

My environment is

1) [root@server1 var]# ruby -v

ruby 1.8.7 (2012-02-08 patchlevel 358) [x86_64-linux]

2) [root@server1 var]# gem list

LOCAL GEMS ***

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

bundler (1.1.3)

daemon_controller (1.0.0)

fastthread (1.0.7)

mysql (2.8.1)
passenger (3.0.11)

rack (1.1.3)

rails (2.3.14)

rake (0.9.2)

rubygems-bundler (0.9.0)

3) [root@server1 var]# mysql --version

mysql  Ver 14.14 Distrib 5.1.52, for redhat-linux-gnu (x86_64) using readline 5.1

History

#1 - 2012-04-09 22:19 - Oleg Kuryan

- Status changed from New to Resolved

Looks like the problem is because of plugin http://www.redmine.org/plugins/redmine_smart_issues_sort

#2 - 2012-04-10 09:19 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
